Subject: [netlmm] Is this scenario covered in netlmm-mip-interactions I-D?

From: <[email-masked]>
Date: Wed, 21 Oct 2009 05:42:47 +0200

Just a quick question about the following scenario:

Lets say a (DS)MIP6 capable MN is attached via a PMIP6 domain thru a MAG. The MN is assigned a prefix from the LMA/HA.
To the MN it appears as if it is on its home link.
The MN moves and attaches to its physical home link.
The MN does not see any difference in terms of the home link (virtual or physical) and hence does not initiate any deregistration procedures.
However the MN is unable to use the HoA/HNP until the binding in the LMA is deprecated.
The MAG may eventually discover that the MN is no longer attached and send a dereg. However that detection may be delayed significantly.

Is the above scenario and issue discussed in the netlmm-mip interactions I-D? At least I could not notice it.

-Raj

---

From: Sri Gundavelli <[email-masked]>
Date: Tue, 20 Oct 2009 20:53:01 -0700 (PDT)

Hi Raj,

Collocation of the LMA and HA with physical home link will be
difficult. In PMIPv6 domain, the prefix is a delegated prefix
and is never hosted on any of the physical links of the LMA/HA.
Secondly, there is no HoA that the LMA defends, there is no
Proxy ND defence by the LMA for the MN's HoA and infact the
LMA will not even know the HoA of the MN. Given this, allowing
the HA to host the MN's prefix on a physical link wont quite
fit. So, I'd think in such LMA/HA collocation scenario's, the
HA should not support physical links, it should be the PMIP/MAG
that should be ob physical links and let HA be for global
mobility, with PMIP supporting local mobility.

Sri

---

From: <[email-masked]>
Date: Wed, 21 Oct 2009 06:11:52 +0200

Hi Sri,

I don't think it is really that hard to have the same node act as a DSMIP6 HA and LMA which also has a physical home link via which an MN could attach. Most of the current deployment models do not foresee a physical home link, but from a practical standpoint it is possible. 
Agree that the LMA is not defending an HoA, but a DSMIP6 MN can also request the registration of a prefix (rather than a HoA). I think you have a very specific deployment model in mind when you say that the prefix is delegated and never really hosted on a physical link of the LMA/HA. It is not expressly prohibited by RFC5213, is it?

Taking a step away from how the LMA/HA should be deployed in terms of physical or virtual home links etc and whether MIP^ should be for global vs PMIP6 for local mobility, do you agree that the scenario that I described is not really covered in the current netlmm-mip interactions I-D? 
And should we be addressing this issue.

-Raj

-----Original Message-----
From: ext Sri Gundavelli [mailto:[email-masked]] 
Sent: Tuesday, October 20, 2009 10:53 PM
To: Patil Basavaraj (Nokia-D/Dallas)
Cc: [email-masked]
Subject: Re: [netlmm] Is this scenario covered in netlmm-mip-interactions I-D?

Hi Raj,

Collocation of the LMA and HA with physical home link will be difficult. In PMIPv6 domain, the prefix is a delegated prefix and is never hosted on any of the physical links of the LMA/HA.
Secondly, there is no HoA that the LMA defends, there is no Proxy ND defence by the LMA for the MN's HoA and infact the LMA will not even know the HoA of the MN. Given this, allowing the HA to host the MN's prefix on a physical link wont quite fit. So, I'd think in such LMA/HA collocation scenario's, the HA should not support physical links, it should be the PMIP/MAG that should be ob physical links and let HA be for global mobility, with PMIP supporting local mobility.

Sri

---

From: Sri Gundavelli <[email-masked]>
Date: Tue, 20 Oct 2009 21:29:07 -0700 (PDT)

Hi Raj,

I should have said, in a lighter note, this discussion in NETLMM after
a long time, is like, "its all comming back to me again :)".

I'm not questioning the use-case, but such configuration results
in conflicting requirements.

The same node can certainly function as a LMA and a HA and for the
same mobile node as well. No issue with it. But, if the MN's home
network prefix is hosted on the HA's physical interface, LMA can
never delegate that prefix over PMIPv6 interfaces and for the MAG-MN
link. Allowing that will result in HNP being reachable via two paths.

a.) HNP reachable via LMA-MAG tunnel
b.) HNP reachable via directly connected HA's interface

This is the first conflict.

W.r.t a DSMIP client requesting a prefix, I dont think RFC-5555
allows the delegation of an IPv6 prefix. RFC-3963 will allow
the MR to have delegated prefixes, but those prefixes are never
hosted on the HA's phsyical interfaces.

I say that in RFC-5213, the prefixes are delegated, not by virtue
of some text in the spec. But, since the prefix is hosted on the
MAG-MN link and has only a prefix rotue over the LMA-MAG tunnel
and hence its a delegated prefix.

I do agree that this scenario is not covered. But, I dont see how
that will work given the conflicting requirements with respect to
prefix ownership. In one protocol, the prefix is a shared prefix
and is hosted on a physical interface and the other protocol requires
the same prefix to be delegated to a remote link. I dont know how
we can make the HA host the prefix on the physical interface
dynamically, right when it lands on the home link.

Thinking a bit more, why do we want CMIP any case, untrusted public
access is fine, but why on the home link ? You should move it out.

Regards
Sri

---

From: "Giaretta, Gerardo" <[email-masked]>
Date: Wed, 21 Oct 2009 11:02:51 -0700

Hi Raj,

I think the scenario you are describing is completely a PMIPv6 issue as also pointed out by Sri and not an interaction problem. The assumption for MIPv6 is that LMA is always tunneling the packets. If we want to solve this corner case (do we?), we need to make changes to PMIPv6

Gerardo

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Tuesday, October 20, 2009 8:43 PM
> To: [email-masked]
> Subject: [netlmm] Is this scenario covered in netlmm-mip-interactions I-D?
> 
> 
> The MN does not see any difference in terms of the home link (virtual or
> physical) and hence does not initiate any deregistration procedures.
> The MAG may eventually discover that the MN is no longer attached and send a
> dereg. However that detection may be delayed significantly.
>

---

From: <[email-masked]>
Date: Wed, 21 Oct 2009 20:09:04 +0200

Hi Gerardo,

I agree that it is indeed a corner case and hence maybe not worth the effort to really solve the problem.
In reality, I guess an MN attaching to a physical HL of the HA/LMA is quite unlikely (not impossible especially if your HA is your home CPE router). 
And thanks to Sri for clarifying on how prefixes are delegated and hence not hosted on the HL.

-Raj 

-----Original Message-----
From: ext Giaretta, Gerardo [mailto:[email-masked]] 
Sent: Wednesday, October 21, 2009 1:03 PM
To: Patil Basavaraj (Nokia-D/Dallas); [email-masked]
Subject: RE: Is this scenario covered in netlmm-mip-interactions I-D?

Hi Raj,

Gerardo

> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Lets say a (DS)MIP6 capable MN is attached via a PMIP6 domain thru a 
> MAG. The MN is assigned a prefix from the LMA/HA.
> The MAG may eventually discover that the MN is no longer attached and 
> send a dereg. However that detection may be delayed significantly.
>

---

From: "Sri Gundavelli" <[email-masked]>
Date: Wed, 21 Oct 2009 20:28:33 -0700

I think, probably you have some good usecase in mind,
femto type models. I was not sure about the HA placement,
or how CMIP is helping on the home link. I guess, the
usecase is the key....

Regards
Sri

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> Sent: Wednesday, October 21, 2009 11:09 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [netlmm] Is this scenario covered in 
> netlmm-mip-interactionsI-D?
> 
> 
> Hi Gerardo,
> 
> I agree that it is indeed a corner case and hence maybe not 
> worth the effort to really solve the problem.
> In reality, I guess an MN attaching to a physical HL of the 
> HA/LMA is quite unlikely (not impossible especially if your 
> HA is your home CPE router). 
> And thanks to Sri for clarifying on how prefixes are 
> delegated and hence not hosted on the HL.
> 
> -Raj 
> 
> I think the scenario you are describing is completely a 
> PMIPv6 issue as also pointed out by Sri and not an 
> interaction problem. The assumption for MIPv6 is that LMA is 
> always tunneling the packets. If we want to solve this corner 
> case (do we?), we need to make changes to PMIPv6
> 
> Gerardo
> 
> > The MN does not see any difference in terms of the home 
> link (virtual 
> > or
> > However the MN is unable to use the HoA/HNP until the 
> binding in the 
> > LMA is deprecated.
> > Is the above scenario and issue discussed in the netlmm-mip 
> interactions I-D?
> > At least I could not notice it.
> > 
> > -Raj
> > 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm